(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9523,        229]
NotebookOptionsPosition[      8915,        210]
NotebookOutlinePosition[      9349,        227]
CellTagsIndexPosition[      9306,        224]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.81487368509011*^9, 
  3.8148736924566603`*^9}},ExpressionUUID->"c9c9ccb6-1f1c-4469-81df-\
ebd854cb5e3f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolBinarioBusqueda", "[", 
  RowBox[{"{", 
   RowBox[{
   "86", ",", "3", ",", "52", ",", "98", ",", "14", ",", "38", ",", "24", ",",
     "1", ",", "61", ",", "48", ",", "57", ",", "25", ",", "70", ",", "34", 
    ",", "74", ",", "72", ",", "85", ",", "76", ",", "50", ",", "54", ",", 
    "100", ",", "4", ",", "12"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.814875871446682*^9, 3.8148758886419225`*^9}, {
  3.8148762597207236`*^9, 3.814876260818596*^9}, {3.8148766907974014`*^9, 
  3.8148766993479137`*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"9ebb700f-c704-4dbf-8a90-979a779b6ab6"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{86, 3, 98, 1, 52, 100, 14, 61, 4, 38, 57, 70, 12, 24, 48, 25, 50, 
      34, 54, 74, 72, 85, 76}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {5, 7}, {5, 8}, {7, 9}, {
       7, 10}, {8, 11}, {8, 12}, {9, 13}, {10, 14}, {10, 15}, {14, 16}, {15, 
       17}, {16, 18}, {11, 19}, {12, 20}, {20, 21}, {20, 22}, {22, 23}}}, {
      ImagePadding -> 10, VertexCoordinates -> CompressedData["
1:eJxTTMoPSmViYGAQB2IQreES+V7GmcGhMOWKlux3cQeXWD6rJw7f7CXCPDxX
d4k4rItcffB4KqsDjK/c+OYtw4V39vvc96Rbygk6fKtU+3tc8i+cD1MP40P0
PbE/XZTA05/MDbWH3QHGZ4ACiDoWB3Ew/cUelc/iAOOfguqD8WH6z4DFf9tD
5F/bo/J/26PLX4DSMHlU/mt7mLkw+1H1c8P5MP/A9EPChw+DDzMPAD7njQU=

        "], VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQA2ImKNZwiXwv48zgUJhyRUv2u7iDSyyf1ROHb/YSYR6e
q7tEHNDl10WuPng8ldUBJo+uXrnxzVuGC+/s97nvSbeUE8SQ/1ap9ve45F+4
PLp5MD5MHl09RN0T+9NFCTz9ydwY8hB3sjvA5NHVM0ABRJwFQ14czP9iD5NH
N08cRR+m/CkUe1kw7IPxz4DV/bZHtw+i/7U9fvnfaPII98D4MHl098D4qPII
+2D8C1Aa3T4YH1UeXf1re5g/0e2DhReqeoQ8JP3wweVx8WHmAwCy1RBy
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.032770032798471, 5.991322201932335}, 0.04843241710789041],
          InsetBox["86", 
          Offset[{2, 2}, {2.0812024499063613, 6.039754619040226}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3908426540200063, 5.135419030227716}, 
          0.04843241710789041], 
         InsetBox["3", 
          Offset[{2, 2}, {1.4392750711278968, 5.1838514473356065}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6746974115769353, 5.135419030227716}, 
          0.04843241710789041], 
         InsetBox["98", 
          Offset[{2, 2}, {2.723129828684826, 5.1838514473356065}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9628910681676967, 4.279515858523096}, 
          0.04843241710789041], 
         InsetBox["1", Offset[{2, 2}, {1.011323485275587, 4.327948275630987}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8187942398723158, 4.279515858523096}, 
          0.04843241710789041], 
         InsetBox["52", 
          Offset[{2, 2}, {1.8672266569802063, 4.327948275630987}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6746974115769353, 4.279515858523096}, 
          0.04843241710789041], 
         InsetBox["100", 
          Offset[{2, 2}, {2.723129828684826, 4.327948275630987}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6419273787784645, 3.4236126868184775}, 
          0.04843241710789041], 
         InsetBox["14", 
          Offset[{2, 2}, {0.6903597958863549, 3.472045103926368}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9956611009661676, 3.4236126868184775}, 
          0.04843241710789041], 
         InsetBox["61", 
          Offset[{2, 2}, {3.044093518074058, 3.472045103926368}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 2.567709515113858}, 0.04843241710789041], 
         InsetBox["4", 
          Offset[{2, 2}, {0.04843241710789041, 2.6161419322217485}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2838547575569288, 2.567709515113858}, 
          0.04843241710789041], 
         InsetBox["38", 
          Offset[{2, 2}, {1.3322871746648193, 2.6161419322217485}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5677095151138576, 2.567709515113858}, 
          0.04843241710789041], 
         InsetBox["57", 
          Offset[{2, 2}, {2.616141932221748, 2.6161419322217485}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.423612686818477, 2.567709515113858}, 0.04843241710789041],
          InsetBox["70", 
          Offset[{2, 2}, {3.4720451039263676, 2.6161419322217485}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.711806343409239}, 0.04843241710789041], 
         InsetBox["12", 
          Offset[{2, 2}, {0.04843241710789041, 1.7602387605171295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8559031717046193, 1.711806343409239}, 
          0.04843241710789041], 
         InsetBox["24", 
          Offset[{2, 2}, {0.9043355888125096, 1.7602387605171295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7118063434092385, 1.711806343409239}, 
          0.04843241710789041], 
         InsetBox["48", 
          Offset[{2, 2}, {1.760238760517129, 1.7602387605171295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8559031717046193, 0.8559031717046199}, 
          0.04843241710789041], 
         InsetBox["25", 
          Offset[{2, 2}, {0.9043355888125096, 0.9043355888125103}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7118063434092385, 0.8559031717046199}, 
          0.04843241710789041], 
         InsetBox["50", 
          Offset[{2, 2}, {1.760238760517129, 0.9043355888125103}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8559031717046193, 0.}, 0.04843241710789041], 
         InsetBox["34", 
          Offset[{2, 2}, {0.9043355888125096, 0.04843241710789041}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5677095151138576, 1.711806343409239}, 
          0.04843241710789041], 
         InsetBox["54", 
          Offset[{2, 2}, {2.616141932221748, 1.7602387605171295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.423612686818477, 1.711806343409239}, 0.04843241710789041],
          InsetBox["74", 
          Offset[{2, 2}, {3.4720451039263676, 1.7602387605171295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9956611009661676, 0.8559031717046199}, 
          0.04843241710789041], 
         InsetBox["72", 
          Offset[{2, 2}, {3.044093518074058, 0.9043355888125103}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.8515642726707866, 0.8559031717046199}, 
          0.04843241710789041], 
         InsetBox["85", 
          Offset[{2, 2}, {3.899996689778677, 0.9043355888125103}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.8515642726707866, 0.}, 0.04843241710789041], 
         InsetBox["76", 
          Offset[{2, 2}, {3.899996689778677, 0.04843241710789041}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8148758903339896`*^9, 3.814876261200663*^9, {3.814876692290509*^9, 
   3.814876714634105*^9}, 3.8148789443174257`*^9},
 CellLabel->"Out[80]=",ExpressionUUID->"a464e3a3-5af0-4b6d-9386-e86ebb475e29"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f48fd198-86c9-4a0b-a21d-9f79c32be016"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 181, 4, 63, "Input",ExpressionUUID->"c9c9ccb6-1f1c-4469-81df-ebd854cb5e3f"],
Cell[CellGroupData[{
Cell[764, 28, 621, 11, 179, "Input",ExpressionUUID->"9ebb700f-c704-4dbf-8a90-979a779b6ab6"],
Cell[1388, 41, 7511, 166, 1045, "Output",ExpressionUUID->"a464e3a3-5af0-4b6d-9386-e86ebb475e29"]
}, Open  ]]
}
]
*)

